Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class TagAttributeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.faces.FacesException
                      javax.faces.view.facelets.FaceletException
                          javax.faces.view.facelets.TagAttributeException

All Implemented Interfaces:
  java.io.Serializable

    public final class TagAttributeException

extends FaceletException

An Exception caused by a `TagAttribute`

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`TagAttributeException(TagAttribute attr)`
`TagAttributeException(TagAttribute attr, java.lang.String message)`
`TagAttributeException(TagAttribute attr, java.lang.String message, java.lang.Throwable cause)`
`TagAttributeException(TagAttribute attr, java.lang.Throwable cause)`
`TagAttributeException(Tag tag, TagAttribute attr)`
`TagAttributeException(Tag tag, TagAttribute attr, java.lang.String message)`
`TagAttributeException(Tag tag, TagAttribute attr, java.lang.String message, java.lang.Throwable cause)`
`TagAttributeException(Tag tag, TagAttribute attr, java.lang.Throwable cause)`

Method Summary

Methods inherited from class javax.faces.FacesException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TagAttributeException

    public TagAttributeException(TagAttribute attr)

### TagAttributeException

    public TagAttributeException(TagAttribute attr,
                                 java.lang.String message)

### TagAttributeException

    public TagAttributeException(TagAttribute attr,
                                 java.lang.Throwable cause)

### TagAttributeException

    public TagAttributeException(TagAttribute attr,
                                 java.lang.String message,
                                 java.lang.Throwable cause)

### TagAttributeException

    public TagAttributeException(Tag tag,
                                 TagAttribute attr)

### TagAttributeException

    public TagAttributeException(Tag tag,
                                 TagAttribute attr,
                                 java.lang.String message)

Parameters:
  `message` -

### TagAttributeException

    public TagAttributeException(Tag tag,
                                 TagAttribute attr,
                                 java.lang.Throwable cause)

Parameters:
  `cause` -

### TagAttributeException

    public TagAttributeException(Tag tag,
                                 TagAttribute attr,
                                 java.lang.String message,
                                 java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.